# $Revision:$, $Date:$
%define         _state          stable
%define         orgname		nepomuk-core
%define         qtver           4.8.3

Summary:	Nepomuk Core utilities and libraries
Name:		kde4-nepomuk-core
Version:	4.10.5
Release:	3
License:	LGPLv2 or LGPLv3
Group:		X11/Applications
URL:		http://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	f0b4a37fba9de571ee5ea9e258a2946a
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	doxygen
BuildRequires:	exiv2-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libdbusmenu-qt-devel
BuildRequires:	pkgconfig
BuildRequires:	poppler-Qt-devel
BuildRequires:	qca-devel
BuildRequires:	shared-desktop-ontologies => 0.10.0
BuildRequires:	soprano-devel => 2.9.0
BuildRequires:	strigi-devel
BuildRequires:	taglib-devel
BuildRequires:	zlib-devel
Requires:	QtCore >= %{qtver}
BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nepomuk Core utilities.

%package devel
Summary:	Developer files for %{name}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Nepomuk Core development files and libraries.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
		-DHTML_INSTALL_DIR=%{_kdedocdir} \
		-DKDE_DISTRIBUTION_TEXT="PLD-Linux" \
		-DKDE4_ENABLE_FINAL=OFF \
		../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nepomuk-simpleresource-rcgen
%attr(755,root,root) %{_bindir}/nepomuk2-rcgen
%attr(755,root,root) %{_bindir}/nepomukbackup
%attr(755,root,root) %{_bindir}/nepomukcleaner
%attr(755,root,root) %{_bindir}/nepomukindexer
%attr(755,root,root) %{_bindir}/nepomukserver
%attr(755,root,root) %{_bindir}/nepomukservicestub
%attr(755,root,root) %{_libdir}/kde4/nepomukexiv2extractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukffmpegextractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukfileindexer.so
%attr(755,root,root) %{_libdir}/kde4/nepomukfilewatch.so
%attr(755,root,root) %{_libdir}/kde4/nepomukplaintextextractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukpopplerextractor.so
%attr(755,root,root) %{_libdir}/kde4/nepomukstorage.so
%attr(755,root,root) %{_libdir}/kde4/nepomuktaglibextractor.so
%attr(755,root,root) %{_libdir}/libkdeinit4_nepomukserver.so
%attr(755,root,root) %{_libdir}/libnepomukcommon.so
%attr(755,root,root) %{_libdir}/libnepomukextractor.so
%attr(755,root,root) %{_libdir}/libnepomukcore.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnepomukcore.so.?
%{_desktopdir}/kde4/nepomukbackup.desktop
%{_datadir}/applications/kde4/nepomukcleaner.desktop
%{_datadir}/apps/fileindexerservice
%{_datadir}/apps/nepomukfilewatch
%{_datadir}/apps/nepomukstorage
%{_datadir}/autostart/nepomukserver.desktop
%{_datadir}/dbus-1/interfaces/org.kde.NepomukServer.xml
%{_datadir}/dbus-1/interfaces/org.kde.nepomuk.*.xml
%{_datadir}/kde4/services/nepomuk*.desktop
%{_datadir}/kde4/servicetypes/nepomukextractor.desktop
%{_datadir}/kde4/servicetypes/nepomukservice.desktop
%{_datadir}/ontology/kde/*.ontology
%{_datadir}/ontology/kde/*.trig


%files devel
%defattr(644,root,root,755)
%{_includedir}/Nepomuk2
%{_includedir}/nepomuk2
%{_libdir}/cmake/NepomukCore
%attr(755,root,root) %{_libdir}/libnepomukcore.so
%changelog
* Sun Nov 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-nepomuk-core.git;a=log;h=auto/th/kde4-nepomuk-core-4.10.5-3

* Sun Nov 10 2013 Jan Rękorajski <baggins@pld-linux.org> cf125d2
- release 3 (by relup.sh)

* Thu Aug 29 2013 Jan Rękorajski <baggins@pld-linux.org> f1e2556
- rel 2

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8162c3d
- up to 4.10.5

* Mon Jun 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9cd271e
- up to 4.10.4

* Sat May 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 995bb35
- one more lib

* Sat May 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> dd440d9
- up to 4.10.3

* Thu Apr 04 2013 Jan Rękorajski <baggins@pld-linux.org> d751c47
- 4.10.2

* Fri Mar 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a65a9f
- up to 4.10.1

* Sun Feb 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e193a4e
- rel 2; recursive indexing fix

* Thu Jan 31 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1006fa8
- up to 4.10.0

* Sat Jan 05 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e6c301a
- up to 4.9.5

* Sun Dec 02 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ccc398
- up to 4.9.4

* Sat Nov 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 767102d
- up to 4.9.3

* Sun Oct 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fa7a9d
- up to 4.9.2

* Wed Sep 05 2012 Paweł Sikora <pawel.sikora@agmk.net> 4923a3f
- updated to 4.9.1.

* Tue Jul 31 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 073c335
- upstream tarball has changed

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ef7caa0
- made files

* Sat Jul 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c400617
- initial; unfinished

